Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.result
Interface Serializer

All Known Implementing Classes:
  DefaultSerializer, HTMLSerializer, SerializerImpl, TextSerializer, XMLSerializer

    public interface Serializer

An interface implemented by ResultHandlers that serialize the result tree as a sequence of bytes

Method Summary
`SerializerOptions` | `getOptions()` Get the options currently in effect for this serializer
`OutputStream` | `getStream()` Return the stream to which the serializer is writing the output bytes.
`void` | `noTextEscaping(boolean noEscape)` Tell Serializer to do no text escaping
`void` | `setOptions(SerializerOptions options)` Set the options for this serializer
`void` | `setStream(OutputStream stream)` Set the output stream to which the serializer will write the bytes

Method Detail

### getOptions

    SerializerOptions getOptions()

  Get the options currently in effect for this serializer

  Returns:
    The options object for this serializer

### setOptions

    void setOptions(SerializerOptions options)

  Set the options for this serializer

  Parameters:
    `options` - The options object for this serializer

### getStream

    OutputStream getStream()

  Return the stream to which the serializer is writing the output bytes.

  Returns:
    The output stream

### setStream

    void setStream(OutputStream stream)

  Set the output stream to which the serializer will write the bytes

  Parameters:
    `stream` - The output stream

### noTextEscaping

    void noTextEscaping(boolean noEscape)

  Tell Serializer to do no text escaping

  Parameters:
    `noEscape` - True if no escaping should be performed, false if escaping should be performed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD